<?php 
// Include main file
include_once('../libs/main.php');
// Check admin Login
include_once('checkLogin.php');
// Logical section of page

$couponObj = new coupons();


if(isset($_REQUEST['act']) && $_REQUEST['act']=='change_status' && isset($_REQUEST['coupon_id'])){
    if(isset($_REQUEST['status'])){
        
        if($_REQUEST['status'] == '1')
        {
            $status = 'active';
        }else{
            $status = 'inactive';
        }

        $data = array('coupon_status'=>$status);
        $couponObj->updateRecords($data,$_REQUEST['coupon_id']);
        echo RECORD_STATUS;
    }
    return true;
}
if(isset($_REQUEST['act']) && $_REQUEST['act']=='delete' && isset($_REQUEST['coupon_id'])){
    $couponObj->deleteFromId($_REQUEST['coupon_id']);
    $successMsg = base64_encode(RECORD_DELETE);
}
if(isset($_REQUEST['action']) && $_REQUEST['action']!=''){
    if($_REQUEST['action']=="activate_all"){
        $data=array("coupon_status" => 'active');
        $rs = $couponObj->updateManyRecords($data, $_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_ACTIVE);
    }else if($_REQUEST['action']=="inactivate_all"){
        $data=array("coupon_status" => 'inactive');
        $rs = $couponObj->updateManyRecords($data, $_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_INACTIVE);
    }else if($_REQUEST['action']=="delete_all"){
        $rs = $couponObj->deleteManyRecords($_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_DELETE);
    }
}

if (isset($_REQUEST['act']) && $_REQUEST['act']=='load'){

    $records = $_REQUEST['length'];
    $start=0;
    if(isset($_GET['start']) && $_GET['start']!='0'){
        $page = $_GET['start'];
    }
    $start=($page-1)*$limit;
    $limit = array('start'=>$_GET['start'],'record'=>$records);
    
    $where = " 1=1 ";

    if(isset($_REQUEST['coupon_name']) && $_REQUEST['coupon_name'] != '')
    {
        $where .= " AND coupon_name = '".$_REQUEST['coupon_name']."'";
    }
    if(isset($_REQUEST['coupon_amount_off']) && $_REQUEST['coupon_amount_off'] != '')
    {
        $where .= " AND coupon_amount_off = '".$_REQUEST['coupon_amount_off']."'";
    }
    
    if(isset($_REQUEST['coupon_percent_off']) && $_REQUEST['coupon_percent_off'] != '')
    {
        $where .= " AND  coupon_percent_off = '".$_REQUEST['coupon_percent_off']."' ";
    }


    if (isset($_REQUEST['search']['value']) && $_REQUEST['search']['value']!=""){
        $where = " coupon_stripe_id LIKE '%".$_REQUEST['search']['value']."%' OR coupon_id LIKE '%".$_REQUEST['search']['value']."%' OR coupon_name LIKE '%".$_REQUEST['search']['value']."%' OR coupon_duration LIKE '%".$_REQUEST['search']['value']."%' OR coupon_percent_off LIKE '%".$_REQUEST['search']['value']."%' OR coupon_amount_off LIKE '%".$_REQUEST['search']['value']."%'";
    }    
    $orderFields = array('coupon_id', 'coupon_name', 'coupon_created_at');
    
    // Array of order by 
    $orderby=array();
    if (isset($_REQUEST['order']['0']['column']) && $_REQUEST['order']['0']['column']!=""){
        $orderby = array(" ".$orderFields[$_REQUEST['order']['0']['column']]." ".$_REQUEST['order']['0']['dir']);
    }else{
        $orderby = array(" coupon_id desc ");
    }

    $data    = array('where' => $where,'limit' => $limit, 'orderBy'=>$orderby);

    $couponDetails  = $couponObj->getAllRecords($data);
    $recordsTotal = $couponObj->getAllCount($data);

        
    if ($couponDetails && count($couponDetails)>0){
        foreach ($couponDetails as $key => $coupon){

           
            if($coupon->coupon_status =='active'){
              $status = '<a href="javascript:void(0)" onclick="change_status('.$coupon->coupon_id.',0)" title="Inactivate"><span class="badge badge-success">Active</span></a>';
            }else{
              $status = '<a href="javascript:void(0)" onclick="change_status('.$coupon->coupon_id.',1)" title="Activate"><span class="badge badge-danger">Inactive</span></a>';
            }
            //<a href="couponadd.php?act=edit&coupon_id='.$coupon->coupon_id.'" class="btn btn-success white-btn"><i class="nav-icon i-Pen-2 "></i></a>
            /*$action = '<a id="delete-confirm" onclick="delete_entry('.$coupon->coupon_id.');" class="btn btn-danger white-btn"><i class="nav-icon i-Close-Window "></i></a>';*/

            $response[] = array('<input type="checkbox" name="check[]" id="check[]" value="'.$coupon->coupon_id.'" class="check_class" />',
                    $coupon->coupon_id, 
                    $coupon->coupon_name, 
                    $coupon->coupon_amount_off,
                    $coupon->coupon_percent_off,
                    $coupon->coupon_times_redeemed,
                    date('Y-m-d H:i:s',strtotime($coupon->coupon_created_at)),
                    "<div id='td_status_".$coupon->coupon_id."'>".$status."</div>",    
                    //$action
             );
        }
        $result=array('recordsFiltered'=>$recordsTotal,'recordsTotal'=>$recordsTotal,'data'=>$response);
    }else{
        $result=array('recordsFiltered'=>0,'recordsTotal'=>0,'data'=>array());
    }
    echo json_encode($result);
    exit;
}

// Include Template 
include_once('../libs/routs.php')
?>